import { DataSource, DataSourceOptions } from 'typeorm';
import { Product } from '@/entities/product.entity';
import { Category } from '@/entities/category.entity';
import { User } from '@/entities/user.entity';
import { SeederOptions } from 'typeorm-extension';
import { userFactory } from '@/database/factories/user.factory';
import MainSeeder from '@/database/seeds/main.seeder';
import { categoriesFactory } from '@/database/factories/category.factory';
import { productFactory } from '@/database/factories/product.factory';

const options: DataSourceOptions & SeederOptions = {
  type: 'mysql',
  host: 'localhost',
  port: 3306,
  username: 'ilyas',
  password: 'ilyas100890',
  database: 'test',
  synchronize: true,
  logging: true,
  entities: [Product, Category, User],
  seeds: [MainSeeder],
  factories: [userFactory, categoriesFactory, productFactory],
};
export const appDataSource = new DataSource(options);
